Show / Hide Table of Contents

# Class MessageActivity

##### Inheritance

System.Object
MessageActivity

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.API

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class MessageActivity

### Properties

| Improve this Doc View Source

#### PartyId

##### Declaration

    [JsonProperty("party_id")]
    public Optional<string> PartyId { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

| Improve this Doc View Source

#### Type

##### Declaration

    [JsonProperty("type")]
    public Optional<MessageActivityType> Type { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<MessageActivityType> |